;(function ($) {
	var $list,
		classes = {
			list: 'sortable-list',
			item: 'sortable-list__item',
			itemClone: 'sortable-list__item--template',
			dragHandle : 'sortable-list__drag-handle',
			placeHolder: 'sortable-placeholder',
			addBtn: 'sortable-list__item-add',
			deleteBtn:'sortable-list__item-delete'
		},
		selectors = {
			list: '.'+ classes.list,
			item: '.' + classes.item,
			itemClone: '.' + classes.itemClone,
			dragHandle : '.' + classes.dragHandle,
			addBtn: '.' + classes.addBtn,
			deleteBtn:'.' +classes.deleteBtn
		};
	
	$(document).ready(function () {
		$list = $(selectors.list).sortable({
			axis: "y",
			containment: "parent",
			items: "> " + selectors.item,
			cursor: "move",
			handle: selectors.dragHandle,
			placeholder: "sortable-placeholder",
			forcePlaceholderSize: true,
			tolerance: "pointer"
		});
		
		$list.on('click', selectors.deleteBtn, function(e) {
			e.preventDefault();
			
			var $row = $(e.target).closest(selectors.item).fadeOut(200, function() { $row.remove() });
		});
		
		$(selectors.addBtn).on('click', function (e) {
			e.preventDefault();
			var newItem = $(selectors.itemClone).clone();
			
			newItem.removeClass(classes.itemClone).appendTo($list);
			
			newItem.find('input').eq(0).focus();
		});
	});
}(jQuery));