<?php

namespace Infomaker\ProjectPlugin;

use Infomaker\Everyware\Twig\ViewSetup;
use Infomaker\Everyware\Twig\FilesystemLoader;
use Infomaker\Everyware\Twig\EveryTwig;

class TwigSetup
{
    private $viewSetup;

    public function __construct(ViewSetup $viewSetup)
    {
        $this->viewSetup = $viewSetup;
    }

    public function setupTwig(): void
    {
        $this->viewSetup->setLoader(FilesystemLoader::getInstance());
        $this->viewSetup->setEveryTwig(EveryTwig::getInstance());
        foreach (ProjectPlugin::getBundleTwigFolders() as $namespace => $path) {
            $this->viewSetup->registerTwigFolder($namespace, $path);
        }
    }
}
